/******  Copyright (c) 2016  Alexandros V. Gerbessiotis   *
******* All rights reserved; read copysrt.txt file        *
**********************************************************/

#include "avgtime.h"

static struct timeval _tstart, _tend;
static struct timezone _tstruct;

void   avg_tstart  (void);
void   avg_tend    (void);
double avg_treturn (void);

void avg_tstart(void) {
  gettimeofday(&_tstart, &_tstruct);
}

void avg_tend(void) {
  gettimeofday(&_tend,&_tstruct);
}

double avg_treturn(void) {
  double t1,t2;
  t1=(double)_tstart.tv_sec + (double)_tstart.tv_usec/(1000*1000);
  t2=(double)_tend.tv_sec + (double)_tend.tv_usec/(1000*1000);
  return(t2-t1);
}
