/******  Copyright (c) 2016  Alexandros V. Gerbessiotis   *
******* All rights reserved; read copysrt.txt file        *
**********************************************************/
#include <memory.h>
#include <limits.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

#define PRINT_INT 1
#define Times2(x)            ((x) << 1)

#ifndef TRUE
#define TRUE            1
#endif
#ifndef FALSE
#define	FALSE		0
#endif
#ifndef MIN
#define	MIN(x,y)	((x)<=(y)?(x):(y)) 
#endif
#ifndef MAX
#define	MAX(x,y)	((x)>=(y)?(x):(y))
#endif
#ifndef CEIL
#define CEIL(X,Y)       ((X != 0)?(1+ (X-1)/Y):0)  
#endif
#ifndef FLOOR
#define FLOOR(X,Y)      (X/Y)  
#endif

#define check_if_null(X,Y,Z)  avg_checknull(X,Y,Z);

#define GRANDOM(X)  (int)((random()/((double)2147483647.0))*X)
#define GSRANDOM()   srandom((unsigned int)time(NULL))
#define THRES16     24 /*  NEW: 24 or 16 but for dsort use 8 */
                     /*   OLD: 16 or 24: 48,g21ins for PIV/III Linux , 8-16 for SUNS for MERGE */
#define TMERGE     8 
#define BASES   g21ins
#define FIRST_KEY  0
#define MIDDLE_KEY 1
#define RANDOM_KEY 2
#define SPLITTER  MIDDLE_KEY

void g21ins  (void *,int ,int ,int (*)(const void*,const void*));
void g33heapx(void *,int ,int ,int (*)(const void*,const void*));
void g63fbc  (void *,int ,int ,int (*)(const void*,const void*));
void g68non1 (void *,int ,int ,int (*)(const void*,const void*));

#define SWAPP(i1,i2) \
  {ii = size;do {k = *(i1);*(i1)++ = *(i2);*(i2)++ = k;} while(--ii);}
#define SWAPPY(XX,YY,TT,SS) {DES=(XX);SRC=(YY);M=(SS); do {*TT=*DES;*DES++=*SRC;*SRC++=*TT;} while ( --M); }

#define MEMCPY(X,Y,SIZE)  memcpy((X),(Y),(SIZE))
#undef MEMCPY
#define MEMCPY(XX,YY,SS) {DES=(XX);SRC=(YY);M=(SS); do {*DES++=*SRC++;} while (--M); }
